View Issue Details

IDProjectCategoryView StatusLast Update
0013240LazarusOtherpublic2011-12-01 11:22
ReporterHans-Peter DiettrichAssigned ToMattias Gaertner 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.9.27 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0013240: fpdoc editor crashes Lazarus on bad text format
DescriptionFpdoc editor crashes on text containing e.g. "<p>...", when the text is to be saved. All editing is lost :-(

The application should continue, so that the error can be corrected.
TagsNo tags attached.
Fixed in Revision
LazTarget0.9.30
Widgetset
Attached Files

Activities

Vincent Snijders

2009-04-22 15:00

manager   ~0026932

The default exception handler dialog is shown, but this error seems recoverable without data loss.

I will add a specific exception handler like the one in lazde.

Vincent Snijders

2009-04-22 15:11

manager   ~0026933

Target 1.0. Data loss occurs only, if the user presses cancel and chooses to terminate Lazarus.

Hans-Peter Diettrich

2009-10-14 18:03

reporter   ~0031314

IMO a "CANCEL" is ambiguous until misleading in the given context.

When the user presses Escape, he typically wants to cancel the *action* that caused the error, not to kill the *application*. This misinterpretation lead me to loosing all my work, instead of recovering from the error.

The dialog IMO should not associate the Escape (Cancel) key with killing the application *by default*. When no key works as a shortcut, the user has to read the text in the dialog, and take a well thought decision, not a short-circuit (panic) action. OK/Cancel buttons IMO ar not appropriate in this situation at all, better were non-standard but intuitive Kill/Continue buttons.

[Reminds me on the DOS joke prompt: "Do not delete all files - Y/N?" ;-]

Issue History

Date Modified Username Field Change
2009-02-25 05:05 Hans-Peter Diettrich New Issue
2009-04-16 14:06 Vincent Snijders LazTarget => 0.9.28
2009-04-16 14:06 Vincent Snijders Status new => acknowledged
2009-04-16 14:06 Vincent Snijders Target Version => 0.9.28
2009-04-22 14:59 Vincent Snijders Summary Lazde crashes on bad text format => fpdoc editor crashes Lazarus on bad text format
2009-04-22 14:59 Vincent Snijders Description Updated
2009-04-22 15:00 Vincent Snijders Note Added: 0026932
2009-04-22 15:00 Vincent Snijders Status acknowledged => assigned
2009-04-22 15:00 Vincent Snijders Assigned To => Vincent Snijders
2009-04-22 15:11 Vincent Snijders LazTarget 0.9.28 => 1.0
2009-04-22 15:11 Vincent Snijders Note Added: 0026933
2009-04-22 15:11 Vincent Snijders Target Version 0.9.28 => 1.0.0
2009-10-14 14:09 Mattias Gaertner LazTarget 1.0 => 0.9.30
2009-10-14 14:09 Mattias Gaertner Assigned To Vincent Snijders => Mattias Gaertner
2009-10-14 14:09 Mattias Gaertner Status assigned => resolved
2009-10-14 14:09 Mattias Gaertner Resolution open => fixed
2009-10-14 14:22 Vincent Snijders Fixed in Version => 0.9.29 (SVN)
2009-10-14 18:03 Hans-Peter Diettrich Note Added: 0031314
2011-12-01 11:22 Marc Weustink Status resolved => closed